# Uses of Interface
org.eclipse.net4j.util.concurrent.DelegableReentrantLock.DelegateDetector

Packages that use DelegableReentrantLock.DelegateDetector
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.

## Uses of DelegableReentrantLock.DelegateDetector in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that return DelegableReentrantLock.DelegateDetector
Modifier and Type
Method
Description
`abstract DelegableReentrantLock.DelegateDetector`
DelegableReentrantLock.DelegateDetector.Factory.`create(String description)`
Methods in org.eclipse.net4j.util.concurrent with parameters of type DelegableReentrantLock.DelegateDetector
Modifier and Type
Method
Description
`final void`
DelegableReentrantLock.`addDelegateDetector(DelegableReentrantLock.DelegateDetector delegateDetector)`
`final void`
DelegableReentrantLock.`removeDelegateDetector(DelegableReentrantLock.DelegateDetector delegateDetector)`